| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::AttitudeDefinitionData Class Reference

Class for reading Swath defintion files. More...

Inheritance diagram for EECFI::AttitudeDefinitionData:

List of all members.

## Public Member Functions
| AttitudeDefinitionData ()
| Empty constructor.
| AttitudeDefinitionData (const string fileNam)
| Constructor with name.
| ~AttitudeDefinitionData ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
void | write (string filename, FixedHeader &fixedHead, AttitudeDefinitionData &attData) throw (CfiError)
| Write the whole file with input filename.
## Public Attributes
string | attDefFileDirPath
| Directory where the Atittude DEF read is placed.
AttitudeDefinitionModel | satNomAttitude
| Attitude data for satellite nominal attitude.
AttitudeDefinitionModel | satAttitude
| Attitude data for satellite attribute.
AttitudeDefinitionModel | instrAttitude
| Attitude data for intrument attitude.

## Detailed Description

Class for reading Swath defintion files.

## Constructor & Destructor Documentation

EECFI::AttitudeDefinitionData::AttitudeDefinitionData | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::AttitudeDefinitionData::AttitudeDefinitionData | ( | const string | fileNam | ) |

Constructor with name.

EECFI::AttitudeDefinitionData::~AttitudeDefinitionData | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::AttitudeDefinitionData::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::QuaternionPlusAngle::angleModel, EECFI::AttitudeDefinitionModel::angleModel, EECFI::AngleModel::angles, EECFI::HarmonicModel::angleType, EECFI::AttitudeDefinitionModel::AOCS, attDefFileDirPath, EECFI::AttitudeDefinitionModel::attitudeModel, EECFI::MatrixModel::attMatrix, EECFI::FileModel::auxFile, EECFI::AttitudeDefinitionModel::fileModel, EECFI::EEFile::fileName, EECFI::FileModel::files, EECFI::HarmonicData::harmonicCoeffPitch, EECFI::HarmonicData::harmonicCoeffRoll, EECFI::HarmonicData::harmonicCoeffYaw, EECFI::HarmonicModel::harmonicData, EECFI::AttitudeDefinitionModel::harmonicModel, EECFI::HarmonicData::harmonicTypePitch, EECFI::HarmonicData::harmonicTypeRoll, EECFI::HarmonicData::harmonicTypeYaw, EECFI::QuaternionPlusMatrix::inertialFrame, EECFI::QuaternionPlusAngle::inertialFrame, instrAttitude, EECFI::QuaternionPlusMatrix::matrixModel, EECFI::AttitudeDefinitionModel::matrixModel, EECFI::ParamModel::model, EECFI::ParamModel::modelParam, EECFI::MatrixModel::offsets, EECFI::AngleModel::offsets, EECFI::HarmonicModel::offsets, EECFI::AttitudeDefinitionModel::paramModel, EECFI::QuaternionPlusMatrix::quat, EECFI::QuaternionPlusAngle::quat, EECFI::AttitudeDefinitionModel::quaternionAngleModel, EECFI::AttitudeDefinitionModel::quaternionMatrixModel, satAttitude, satNomAttitude, EECFI::CfiClass::throwWarn, EECFI::FileModel::time0, EECFI::FileModel::time1, and EECFI::FileModel::timeRef.

void EECFI::AttitudeDefinitionData::write | ( | string | filename,
|  | FixedHeader & | fixedHead,
|  | AttitudeDefinitionData & | attData |
| ) |  |  | throw (CfiError)

Write the whole file with input filename.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | FixedHeader object with fixed header data.
  | attData | Attitude Definition Data.

## Member Data Documentation

string EECFI::AttitudeDefinitionData::attDefFileDirPath

Directory where the Atittude DEF read is placed.

Referenced by read().

AttitudeDefinitionModel EECFI::AttitudeDefinitionData::instrAttitude

Attitude data for intrument attitude.

Referenced by read().

AttitudeDefinitionModel EECFI::AttitudeDefinitionData::satAttitude

Attitude data for satellite attribute.

Referenced by read().

AttitudeDefinitionModel EECFI::AttitudeDefinitionData::satNomAttitude

Attitude data for satellite nominal attitude.

Referenced by read().